## GtkDataboxGrid GtkDataboxGrid — A GtkDataboxGraph used for displaying a grid (like in an oscilloscope). |

## Types and Values

enum | GtkDataboxGridLineStyle
| GtkDataboxGrid
| GtkDataboxGridClass

## Includes

    #include <gtkdatabox_grid.h>

## Description

GtkDataboxGrid is a GtkDataboxGraph class for displaying a grid (like in an oscilloscope). You can determine the number of horizontal and vertical lines. When you zoom in, the grid is also zoomed along with the data.

## Functions

## Types and Values

### enum GtkDataboxGridLineStyle

Line styles to use in a GtkDataboxGrid.

#### Members

GTK_DATABOX_GRID_DASHED_LINES | Grid drawn with dashed lines. |
GTK_DATABOX_GRID_SOLID_LINES | Grid drawn with solid lines. |
GTK_DATABOX_GRID_DOTTED_LINES | Grid drawn with dotted lines. |

### GtkDataboxGrid

    typedef struct _GtkDataboxGrid GtkDataboxGrid;

GtkDataboxGrid is a GtkDataboxGraph class for displaying a grid (like in an oscilloscope). You can determine the number of horizontal and vertical lines. When you zoom in, the grid is also zoomed along with the data.

### GtkDataboxGridClass

    typedef struct _GtkDataboxGridClass GtkDataboxGridClass;

The object class of GtkDataboxGrid.

## See Also

GtkDatabox, GtkDataboxGraph, GtkDataboxPoints, GtkDataboxLines, GtkDataboxBars, GtkDataboxMarkers